Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.server.wadl.generators.resourcedoc.model
Class ResponseDocType

    java.lang.Object
      com.sun.jersey.server.wadl.generators.resourcedoc.model.ResponseDocType

    public class ResponseDocType

extends java.lang.Object

The documentation type for a response.
Created on: Jun 16, 2008

Version:
  $Id$
Author:
  Martin Grotzke

Field Summary
`protected java.util.List<RepresentationDocType>` | `representation`
`protected java.util.List<WadlParamType>` | `wadlParam`

Constructor Summary
`ResponseDocType()`

Method Summary
`java.util.List<RepresentationDocType>` | `getRepresentations()`
`java.lang.String` | `getReturnDoc()`
`java.util.List<WadlParamType>` | `getWadlParams()`
`boolean` | `hasRepresentations()`
`void` | `setReturnDoc(java.lang.String returnDoc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### wadlParam

    protected java.util.List<WadlParamType> wadlParam

### representation

    protected java.util.List<RepresentationDocType> representation

Constructor Detail

### ResponseDocType

    public ResponseDocType()

Method Detail

### getWadlParams

    public java.util.List<WadlParamType> getWadlParams()

### getRepresentations

    public java.util.List<RepresentationDocType> getRepresentations()

### hasRepresentations

    public boolean hasRepresentations()

### getReturnDoc

    public java.lang.String getReturnDoc()

  Returns:
    the returnDoc

### setReturnDoc

    public void setReturnDoc(java.lang.String returnDoc)

  Parameters:
    `returnDoc` - the returnDoc to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.